/*
 * Created on Dec 12, 2003
 */
package isac.wsdialog;

import java.io.Serializable;

import isac.wsdialog.IUIElement;

/**
 * Interface common to notifications about user interaction
 * 
 * @author Alan Krempler
 */
public interface IUserAction extends IUIElement, Serializable {
	
	/**
	 * @return An integer value describing the action the user requested on the GUI
	 */
	int getActionID();
		
}
