(* descriptions for items in problem-types
   WN 1.3.00
   + see WN, Reactive User-Guidance ... Vers. Oct.2000 p.48 ff
*)

Descript = Script +

consts

  someList       :: 'a list => unl (*not for elementwise input, eg. inssort*)

  additionalRels :: bool list => una
  boundVariable  :: real => una
(*derivative     :: 'a => toreal 28.11.00*)
  derivative     :: real => una
  equalities     :: bool list => una
  equality       :: bool => una
  errorBound     :: bool => nam
  
  fixedValues    :: bool list => nam
  functionEq     :: bool => una     (*6.5.03: functionTerm -> functionEq*)
  functionOf     :: real => una
(*functionTerm   :: 'a => toreal 28.11.00*)
  functionTerm   :: real => una     (*6.5.03: functionTerm -> functionEq*)
  interval       :: real set => una
  maxArgument    :: bool => toreal
  maximum        :: real => toreal
  
  relations      :: bool list => una
  solutions      :: bool list => toreall
  solution       :: bool => toreal
  solveFor       :: real => una
  differentiateFor:: real => una
  unknown        :: 'a => unknow
  valuesFor      :: real list => toreall

  realTestGiven  :: real => una
  realTestFind   :: real => una
  boolTestGiven  :: bool => una
  boolTestFind   :: bool => una

end