(* auxiliary functions used in scripts
   WN.1.3.00
*)
(* use_thy"Isa99/Tools";
   *)


Tools =  ListG +

types (*for Descript.thy*)

  nam     (* named variables                *)
  una     (* unnamed variables              *)
  unl     (* unnamed variables of type list, elementwise input prohibited *)
  str     (* structured variables           *)
  toreal  (* var with undef real value      *)
  toreall (* var with undef real list value *)
  unknow  (* input without dsc in fmz=[]    *)
  cpy     (* UNUSED: copy-named variables
             identified by .._0, .._i .._' in pbt *)
  (* see modspec.sml: fun is_dsc            *)
  
arities

  nam, una, unl, str, toreal, toreall, unknow, cpy :: type

consts

  UniversalList    :: bool list

(*Lhs, Rhs :: bool => real           1.5.03 an equality DONT USE*)
  lhs, rhs :: bool => real           (*of an equality*)
  Vars     :: 'a => real list        (*get the variables of a term *)
  matches  :: ['a, 'a] => bool

constdefs
  
  Testvar   :: "[real, 'a] => bool"  (*is a variable in a term: unused 6.5.03*)
 "Testvar v t == v mem (Vars t)"     (*by rewriting only,no Calcunused 6.5.03*)

(*the other functions are defined on the metalevel, i.e.in Tools.ML*)
 
end
