/*
 * Created on Sep 18, 2003
 * WN040827 moved here from production code, DOES NOT WORK
 */
package isac.bridge;

import isac.util.Formalization;
import isac.util.Variant;
import isac.util.formulae.CalcHead;
import isac.util.formulae.CalcHeadCompoundID;
import isac.util.formulae.CalcHeadItem;
import isac.util.formulae.CalcHeadItemList;
import isac.util.formulae.CalcHeadSimpleID;
import isac.util.formulae.Specification;

import java.util.Vector;

/**
 * Test class: setting up and testing functionality of CalcTree
 * 
 * @author rgradisc
 */


//public class TestCalcTree extends TestCase {
public class RGtestCalcTree {

	// Set up a calcHead to solve a sample linear equation
	// (Data from sml/systest/FE-Interfaces.sml)
	public static Formalization testSolveLinear() {
		CalcHeadItemList itemList;
		CalcHeadItem item;
		Formalization f = new Formalization();
		Variant v = new Variant();
		v.addNewIsaString("equality (1+-1*2+x=0)");
		v.addNewIsaString("solveFor x");
		v.addNewIsaString("solutions L");

		CalcHeadSimpleID id;
		id = new CalcHeadSimpleID();
		id.setID("Test.thy");

		Specification s = new Specification();
		s.setTheory(id);

		CalcHeadCompoundID idl;

		idl = new CalcHeadCompoundID();
		idl.addString("linear");
		idl.addString("univariate");
		idl.addString("equation");
		idl.addString("test");
		s.setProblem(idl);
		idl = new CalcHeadCompoundID();
		idl.addString("Test");
		idl.addString("solve_linear");

		s.setMethod(idl);
		v.setSpecification(s);
		f.addNewVariant(v);
		return f;
	}

	//Set up a calcHead to solve a sample problem with a mini-SubProblem
	// (Data from sml/systest/FE-Interfaces.sml)
	public static Formalization testSolveMiniSubProb() {
		CalcHeadItemList itemList;
		CalcHeadItem item;
		Formalization f = new Formalization();
		Variant v = new Variant();
		v.addNewIsaString("equality (x+1=2)");
		v.addNewIsaString("solveFor x");
		v.addNewIsaString("solutions L");

		CalcHeadSimpleID id;
		id = new CalcHeadSimpleID();
		id.setID("Test.thy");

		Specification s = new Specification();
		s.setTheory(id);

		CalcHeadCompoundID idl;

		idl = new CalcHeadCompoundID();

		idl.addString("sqroot-test");
		idl.addString("univariate");
		idl.addString("equation");
		idl.addString("test");
		s.setProblem(idl);

		idl = new CalcHeadCompoundID();
		idl.addString("Test");
		idl.addString("squ-equ-test-subpbl1");

		s.setMethod(idl);
		v.setSpecification(s);
		f.addNewVariant(v);
		return f;
	}

	/*
	 * protected void setup() throws Exception { MathEngine.init("localhost");
	 * MathEngine me = MathEngine.getMathEngine();
	 * 
	 *  }
	 * 
	 * protected void tearDown() throws Exception {}
	 *  
	 */

	public static void main(String[] args) {
		long before, after;
		Vector v;
		before = System.currentTimeMillis();
		System.out.println("Test started");
		//TODO: host as parameter
		MathEngine.init("localhost");
		MathEngine me = MathEngine.getMathEngine();

		// set up Formalization according to a specific problem
		Formalization f = testSolveLinear();
		//Formalization f = setUpSolveMiniSubProb();
		//Formalization f = new Formalization();

		System.out.println("Formalizaton successfully initialized");

		//crashes with empty formalization
/*WN    CalcHead c = me.startCalculation(f);
		System.out.println("Status before complete: " + c.getCalcHeadStatus());
		System.out.println("Reference of calchead before complete:"
				+ c.toString());
		me.completeCalcHead(c);
		System.out.println("Head: " + c.getHead());
		System.out.println("Reference of calchead after complete:"
				+ c.toString());
		System.out.println("Status after complete: " + c.getCalcHeadStatus());
		//The CalcHead should be complete before calling startSolving

		try {
			CalcTree ct = me.startSolving(c);//WN startCalculation
		} catch (Exception e) {
			e.printStackTrace();
		}
*/
		/*
		 * System.out.println("CalcHead before complete"+c.toSMLString());
		 * System.out.println("CalcHead"+c); me.completeCalcHead(c);
		 * System.out.println("CalcHead"+c); System.out.println("CalcHead after
		 * complete"+c.toSMLString());
		 * 
		 * //ct.autoCalculate(3, 0);
		 * 
		 * ICalcElement ce; ICalcIterator ci = ct.iterator(); Tactic t =
		 * ct.fetchProposedTactic(); while (t != null) {
		 * System.out.println("Tactic: " + t.toSMLString());
		 * System.out.println("Response from setNextTactic: " +
		 * ct.setNextTactic(t)); System.out.println("Response from moveDown:" +
		 * ci.moveDown()); ce = ci.getElement(); System.out.println("Current
		 * Level: " + ci.getLevel()); System.out.println("CalcElement: " +
		 * ce.toSMLString()); t = ct.fetchProposedTactic(); } ce =
		 * ci.getElement(); System.out.println("Last CalcElement -> " + ce);
		 * 
		 * Tactic[] ta = ct.fetchApplicableTactics(3); for (int i = 0; i <
		 * ta.length; i++) { System.out.println(ta[i].toSMLString()); }
		 */

		/*
		 *  // v : Vector, can be serialized to disk for permanent saving v =
		 * me.saveCalcTree(ct.getId()); // test saving ct = me.loadCalcTree(v); //
		 * test loading
		 * 
		 * ICalcIterator ci = ct.iterator(); Tactic t; ICalcElement ce;
		 * //System.out.println(ci.moveRoot());
		 * //System.out.println(ci.moveDown()); ce = ci.getElement();
		 * System.out.println(ce.toSMLString()); CalcHead ch = (CalcHead)ce;
		 * me.modifyCalcHead(ch); System.out.println("ModifyCalcHead: " +ch);
		 * 
		 * CalcHeadCompoundID problemID = new CalcHeadCompoundID();
		 * problemID.addString("univariate"); problemID.addString("equation"); //
		 * Try to match an existing Problem try { me.tryMatch(c, problemID);
		 * System.out.println("TryMatch: " + c.toSMLString()); } catch
		 * (NotInSpecificationPhaseException e) { System.out.println(e); }
		 * 
		 * t = ct.fetchProposedTactic(); ct.setNextTactic(t); t =
		 * ct.fetchProposedTactic();
		 * 
		 * t.setName("Add_Find"); // change name: setNextTactic should produce
		 * error (returns -1) //t.setName("Add_Find_crash");// to test kernel
		 * recovering, kernel should crash on purpose
		 * 
		 * System.out.println("Tactic: " + t.toSMLString());
		 * System.out.println("Response from setNextTactic: " +
		 * ct.setNextTactic(t));
		 * 
		 * System.out.println("Starting fetchProposedTcatic/setNextTactic
		 * cycle");
		 *  // while (t != null) { // System.out.println("Tactic: " +
		 * t.toSMLString()); // System.out.println("Response from setNextTactic: " +
		 * ct.setNextTactic(t)); // System.out.println("Response from moveDown:" +
		 * ci.moveDown()); // ce = ci.getElement(); //
		 * System.out.println("Current Level: " + ci.getLevel()); //
		 * System.out.println("CalcElement: " + ce.toSMLString()); // t =
		 * ct.fetchProposedTactic(); // } int id; ct.autoCalculate(1,6);
		 * 
		 * id = ct.autoCalculate(1,1); //calculate one step while (id != -1) {
		 * System.out.println("autoCalculate : "+id); ci.moveDown(); ce =
		 * ci.getElement(); id = ct.autoCalculate(1,1); } ce = ci.getElement();
		 * System.out.println("Last CalcElement -> "+ce);
		 *  // ICalcIterator ci2 = (ICalcIterator)ci.clone(); //
		 * System.out.println("Cloned Iterator:" + ci2); //
		 * System.out.println("CalcElement of cloned iterator:" +
		 * ci2.getElement()); // System.out.println("Test:" + ci2.moveDown());
		 * 
		 * ct.destruct(); after = System.currentTimeMillis();
		 * System.out.println("Time used: " + (after - before) + " millis");
		 * System.out.println("Test finished");
		 */
	}
}