/*
 * @author Walther Neuper, member of the ISAC-team, 
 * Copyright (c) 2004 by Walther Neuper 
 * created Oct 1, 2004, 3:37:19 PM
 * Institute for Softwaretechnology, Graz University of Technology, Austria.
 * 
 * Use is subject to license terms.
 */
package isac.gui.browser.example;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * Collect the testcases and testsuites from this directory
 * and from the subdirectories
 * @author Walther Neuper Oct 1, 2004, 3:44:31 PM
 * @version 1.0
 **/
public class Testall extends TestCase {

	public static Test suite() {
		System.out.println("---isac.gui.browser.example.Testall");		
		TestSuite suite = new TestSuite("isac.gui.browser.example.Testall");
		
		//tests in this directory
		suite.addTestSuite(TestExampleBrowserPanel.class);
		
		//tests in subdirectories
		//...
		
		return suite;
	}
}
