/*
 * Created on Sep 19, 2003
 */
package isac.util.formulae;

import java.io.Serializable;
import java.util.Iterator;
import java.util.Vector;

/**
 * @author Richard Gradischnegg
 *
 * WN040908 purpose ? difference CalcHeadCompoundID ?
 */
public class CalcHeadItemList implements Serializable {
  protected Vector items_ = new Vector();

  public void addItem(CalcHeadItem item) {
    items_.add(item);
  }

  public Vector getItems() {
    return items_;
  }

  public String toSMLString() {
    if (items_.isEmpty()) {
      return "";
    } else {
      StringBuffer sb = new StringBuffer();
      Iterator it = items_.iterator();      
      while (it.hasNext()) {
		sb.append("\"");
        sb.append(((CalcHeadItem)it.next()).toSMLString());
        sb.append("\",");
      }
      sb.deleteCharAt(sb.length()-1); // remove last ","      
      return sb.toString();
    }
  }
  
  public String toString(){
  	String content="<KEY>\n";
  	Iterator vectit = items_.iterator();
  	while(vectit.hasNext()){
  		content+="<ID>\n"+vectit.next()+"\n</ID>\n";
  	}
  	content+="</KEY>\n";
  		
  	return content;
  }
}
