/*
 * Created on Nov 18, 2003
 */
 
package isac.wsdialog;

/**
 * Exception thrown by the DialogGuide if the action requested by the user
 * is known to the DialogGuide but not implemented yet.
 * 
 * @author Alan Krempler
 */
class DialogNotImplementedException extends DialogProtocolException {
	protected int failed_action_;
	
	DialogNotImplementedException(int failed_action, int dialog_state) {
		super(failed_action, dialog_state, "\nProcessing this request is not implemented yet.", null);
	}
}
